org.springframework.test.web.client

## Interface ResponseCreator

All Known Implementing Classes:
  DefaultResponseCreator

    public interface ResponseCreator

A contract for creating a `ClientHttpResponse`. Implementations can be obtained via `MockRestResponseCreators`.

Since:
  3.2
Author:
  Craig Walls

### Method Summary

Methods
`ClientHttpResponse` `createResponse(ClientHttpRequest request)` Create a response for the given request.

### Method Detail

#### createResponse

    ClientHttpResponse createResponse(ClientHttpRequest request)
                                      throws IOException

Create a response for the given request.

Parameters:
  `request` - the request
Throws:
  `IOException`